# Uses of Class
org.apache.lucene.index.CheckIndex.Options

Packages that use CheckIndex.Options
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of CheckIndex.Options in org.apache.lucene.index

  Methods in org.apache.lucene.index that return CheckIndex.Options
  Modifier and Type
  Method
  Description
  `static CheckIndex.Options`
  CheckIndex.`parseOptions(String[] args)`
  Parse command line args into fields
  Methods in org.apache.lucene.index with parameters of type CheckIndex.Options
  Modifier and Type
  Method
  Description
  `int`
  CheckIndex.`doCheck(CheckIndex.Options opts)`
  Actually perform the index check